Bug 1386328 - texlive default configuration paths are wrong
Summary: texlive default configuration paths are wrong
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 24
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-18 16:33 UTC by martti.huttunen72
Modified: 2016-10-28 00:41 UTC (History)
3 users (show)

Fixed In Version: texlive-2016-17.20160520.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:41:11 UTC
Type: Bug


Attachments (Terms of Use)
A document to test texlive-scheme-context (10.00 KB, application/octet-stream)
2016-10-19 16:48 UTC, martti.huttunen72
no flags Details

Description martti.huttunen72 2016-10-18 16:33:46 UTC
Description of problem:

A clean install of texlive-scheme-context (or any other scheme I tried) does not work out of the box. It cannot compile any documents, since it cannot find the configuration files. 

Version-Release number of selected component (if applicable):

texlive-base-2015-24.20150728_r37987.fc24.noarch
texlive-lib-2015-24.20150728_r37987.fc24.x86_64
texlive-kpathsea-svn37193.0-24.fc24.1.noarch

How reproducible:

100% on 3 machines, 2 with texlive upgrades, 1 with no previous texlive install.

Steps to Reproduce:
1. Install any scheme (I tried context and full)
2. Try compiling a document 
3. See the error in kpathsea paths

Actual results:

texmf.cnf not found in kpathsea path.

Expected results:

A compiled document.

Additional info:

I quick-fixed this with
ln -s /usr/share/texlive/texmf-* /usr/share/

So, the error is that in the default path the texlive directory is omitted; the path points to /usr/share/texmf-dist as opposed to the correct path /usr/share/texlive/texmf-dist. Other components of the path have the same error.

Comment 1 Tom "spot" Callaway 2016-10-19 13:26:22 UTC
Can you give me a specific path to reproduce this issue? I don't have any real experience working with texlive schemes.

Comment 2 martti.huttunen72 2016-10-19 16:48:00 UTC
Created attachment 1212212 [details]
A document to test texlive-scheme-context

How to test:

dnf install texlive-scheme-context

tar xf context-document.tar

make

If it works, you get a PDF named Document.pdf.

Comment 3 Tom "spot" Callaway 2016-10-19 19:50:39 UTC
*shakes fist at texlive* Okay. I think I know how to fix this without using /usr/share/texmf-dist.

Comment 4 Fedora Update System 2016-10-26 20:34:04 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50a2bc7997

Comment 5 Fedora Update System 2016-10-28 00:41:11 UTC
perl-BibTeX-Parser-0.69-1.fc25, perl-LaTeX-ToUnicode-0.04-1.fc25, texlive-2016-17.20160520.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.